/* Created by John Halderson. */
/* Styling for DTbuildings.html which is a part of the website DTownhistory.com */

/* Default layout and styling. */
/* This is for mobile devices. */  

.site-main {
	overflow: hidden;
}

.site-page {
	display: grid;
	grid-template-columns: 0em 1fr;	/* Two columns */
	grid-template-rows: 1fr;		/* One row */
	grid-template-areas: 
		"list map";
}

.myRedFillStylexx {
    fillColor: "red";
	fillOpacity: 0.8;
    weight: 1;
    opacity: 1;
   	color: mycolorBlue;
}

#myContent {
	height: 85vh;
	/*height: max-content; */
	/*height: fit-content; */
}	

/*
#colophon {
	display: none;
}
*/

#buildinglist {
	grid-area: list;
	background-color: #E1F1DD;   /* light greenish */
	font-size: 1rem;
	overflow-y: auto;
	list-style-type: none;
}

/* Hide the building list. */
.buildinglist-hide {
	display: none;
}

/* Show the building list. */
.buildinglist-show {
	grid-area: list;
	padding: 10px;
}


#map {
	grid-area: map;
} 


#myShowBuildingButton {
	padding: 8px 8px;
	font-size: 12px;
	font-weight: bold;
    background: white;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    color: #000;
    border: 1px solid #888;
	border-radius: 4px;
	position: absolute;
	left: 10px;
	bottom: 110px;
	cursor: pointer;
	visibility: hidden;
	z-index: 1000; /* This ensures that the Button is always on top. */
}

		
#building-count {
	visibility: visible;
	position: absolute;
	right: 15px;
	bottom: 110px;
	z-index:1000;
	margin: 4px;
	padding: 4px;
	background-color: white;
	border: 1px solid black;
	border-radius: 4px;
}

.highlight_default {
	color: #2B8CBE; /* Blue */
	font-weight: bold;
}
	
.highlight_selected {
	color: #F46D43; /* Orangeish */
	font-weight: bold;
}

.highlight_test {
	color: red;
	font-weight: bold;
}

.bldg_tooltip {
	
}

/* Disable showing tooltips. */
.leaflet-tooltip {
	display: none;
}

.popup-content {
}
	
.popup-header {
    margin: 0 0 5px 0;  
	text-align: center;	
    font-weight: bold;
    font-size: 20px;	
}

.popup-address { 
	text-align: center;	
}

.popup-image {
	border-radius: 4px;
	width: 130px;
	border: 1px solid black;
}

.popup-image-center {
	display: flex;
	justify-content: center;
}

.popup-year { 
	text-align: center;	
}

.infoImage {
}



#loadingScreen{
	position:absolute;
    display: flex;
	justify-content: center;
    width:100%;
    height:100%;
    text-align:center;
    z-index:2001;    
    background-color: #fff;
	opacity: 0.6;
}

div.splashLoading {
    height: 170px;
    background: transparent url('../../DT_assets/images/loading.gif') no-repeat center center;
}

div.splashStatus {
    padding-top: 4px;
    font-size: 20px;
    font-weight: bold;
    line-height: 100%;
}

div.splashTop {
    font-size: 36px;
    font-weight: bold;    
    padding-top: 18px;
    padding-bottom: 4px;
    line-height: 100%;
}

div.splashBottom {
    font-weight: normal;
    font-size: 18px;
    padding-bottom: 210px;    
}

#building-slider {
	visibility: visible;
	cursor: pointer;
	z-index: 1000;
	width: 80%;
	position: absolute;
	left: 50px;
	bottom: 50px;
}

.info_help_icon {
	background: url('../../DT_assets/images/help_icon.jpg') no-repeat center center;
}

.square {
  height: 50px;
  width: 50px;
  background-color: #555;
}


/* gif
###########################################################
## For larger screens - Desktops
## 60rem = 960px
## This overrides any above settings.
###########################################################
*/
@media screen and (min-width: 960px) {
	
	.site-page {
		display: grid;
		grid-template-columns: auto 1fr;
		grid-template-rows: 1fr;
		grid-template-areas: 
			"list map";
	}	
		
	#myShowBuildingButton {
		/*visibility: visible;*/
		visibility: hidden;  /* Turn off for production. */
	}
	
	#myShowBuildingButton:hover {
		text-decoration: underline;
		background-color: lightblue;
	}
	
	#myContent {
		height: 80vh;
	}
	
	/* Show the tooltips. */
	.leaflet-tooltip {
		display: block;
	}
	
	#building-count {
		bottom: 50px;
	}
}